package sample;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.util.*;

public class MyFirstApplet extends Applet
{
	private boolean done = false;
	
    /**Construct the applet*/
    public MyFirstApplet()
    {
    }

    /**Initialize the applet*/
    public void init()
    {
		done = false;
    }

    /**Start the applet*/
    public void start()
    {
		final Applet applet = this;
		new Thread()
		{
			public void run()
			{
				while (!done)
				{
					applet.repaint();
					try
					{
						this.sleep(10);
					}
					catch (Exception e)
					{
					}
				} 
			}
		}.start();
    }
	
	public void paint(Graphics g)
	{
		int top,
			left,
			width,
			height;
		top = (int)(Math.random()*getHeight());
		left = (int)(Math.random()*getWidth());
		width = (int)(Math.random()*(getWidth() - left));
		height = (int)(Math.random()*(getHeight() - top));
		Color color = new Color((float)Math.random(), (float)Math.random(), (float)Math.random());

		new RandomOval( top, left, width, height, color).paint(g);
	}

    /**Stop the applet*/
    public void stop()
    {
		done = true;
    }

    /**Destroy the applet*/
    public void destroy()
    {
    }

    /**Get Applet information*/
    public String getAppletInfo()
    {
        return "Applet Information";
    }
	
	class RandomOval
	{
		private int top,
					left,
					width,
					height;
		private Color color;
		
		public RandomOval(int top, int left, int width, int height, Color color)
		{
			this.top = top;
			this.left = left;
			this.width = width;
			this.height = height;
			this.color = color;
		}
		
		public void paint(Graphics g)
		{
			g.setColor(color);
			g.fillOval(top, left, width, height);
		}
	}
}